Name:           ruby-icon-artist
Version:        0.1.92
Release:        9%{?dist}
Summary:        Supporting libraries for icon artists

Group:          Development/Languages

License:        LGPLv2+
URL:            https://fedorahosted.org/echo-icon-theme/
Source0:        https://fedorahosted.org/released/echo-icon-theme/icon-artist-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  ruby
BuildRequires:  ruby-devel
Requires:       ruby(release)
Requires:       rubygem(git)
Requires:       inkscape
Requires:       icon-naming-utils
Provides:       ruby(icon-artist) = %{version}

%description
Supporting libraries for icon artist scripts. It contains support for
generating new icons from templates, exporting PNGs and SVGs from one canvas
SVG, creating new icon theme and managing icon theme buildsys.

%prep
%setup -q -n icon-artist-%{version}


%build
export CFLAGS="$RPM_OPT_FLAGS"
sed -i 's|CONFIG|RbConfig::CONFIG|' install.rb
sed -i 's|CONFIG\["sitelibdir"\]|CONFIG["vendorlibdir"]|' install.rb

%install
rm -rf %{buildroot}
DESTDIR=%{buildroot} ./install.rb

%check

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc doc/*
%{ruby_vendorlibdir}/*
%{_datadir}/icon-artist


%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.92-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.92-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 21 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.92-7
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.92-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.92-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 06 2012 Martin Sourada <martin.sourada@gmail.com> - 0.1.92-4
- rebuilt

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.92-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.92-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 05 2009 Martin Sourada <mso@fedoraproject.org> - 0.1.92-1
- New upstream release
- Workaround broken remote branches name detection by rubygem(git)
- Better icon name detection

* Thu Aug 13 2009 Martin Sourada <mso@fedoraproject.org> - 0.1.91-1
- New upstream release
- Patch upstreamed
- Add icon-naming-utils dependency

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.90-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 Martin Sourada <mso@fedoraproject.org> - 0.1.90-2
- Backport fix for correct checking of icon name from git

* Thu Feb 05 2009 Martin Sourada <mso@fedoraproject.org> - 0.1.90-1
- Initial rpm packaging
